Bug 1539146 - [3.7] docker_image_availability check does not respect override variables for containerized components
Summary: [3.7] docker_image_availability check does not respect override variables for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.7.z
Assignee: Luke Meyer
QA Contact: Gan Huang
URL:
Whiteboard:
Depends On: 1538806 1539150
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-26 19:04 UTC by Luke Meyer
Modified: 2018-04-05 09:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The docker_image_availability check did not take into account variables that override specific container images used for containerized components. Consequence: The check could incorrectly report failure looking for the default images when the overridden images to be used are actually available. Fix: The check now looks for override variables. Result: The check should accurately report whether the necessary images are available.
Clone Of: 1538806
Environment:
Last Closed: 2018-04-05 09:36:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:36:45 UTC

Description Luke Meyer 2018-01-26 19:04:03 UTC
+++ This bug was initially created as a clone of Bug #1538806 +++

Description of problem:

When users perform an openshift-ansible install with containerized components and customize the image names by setting osn_image, osn_ovs_image, osm_image, or osm_etcd_image variables, the docker_image_availability check is still looking for the default component images.

Expected results:
This check should be looking for the images that the actual install will attempt to use.

--- Additional comment from Luke Meyer on 2018-01-25 16:39:17 EST ---

As reported in https://github.com/openshift/openshift-ansible/issues/6720 and https://github.com/openshift/openshift-ansible/issues/5330

Fix against current master is under way at https://github.com/openshift/openshift-ansible/pull/6880

Comment 1 Luke Meyer 2018-01-26 19:07:48 UTC
3.7 backport is https://github.com/openshift/openshift-ansible/pull/6901

Comment 3 Gan Huang 2018-02-02 09:03:13 UTC
Verified in openshift-ansible-3.7.27-1.git.0.ae95fc3.el7.noarch.rpm

With osn_ovs_image, osn_image and osm_image set to the inexistent images,
installer failed as expected.

Comment 7 errata-xmlrpc 2018-04-05 09:36:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.